Перейти к содержимому


Фотография
* * * * * 2 Голосов

JBZoo Hotfix. Поддержка Joomla 3.8.x+, PHP 7.1.x+


Лучший Ответ CB9TOIIIA , 23 October 2017 - 04:43

Патч для php5-php7

 

(в нем для страховки нес-ко файлов с прошлой версии, прозапас (т.к. если накатить патч этот - то можно сломать сайт (jbzoo.php и апликатион для php 7.1). А с этим патчем все восстановится :).

 

 

P.S. Коротко - работает  ;)

Перейти к сообщению


Сообщений в теме: 82

#1 SmetDenis

SmetDenis

Отправлено 23 October 2017 - 00:18

*
Популярное сообщение!

Приветствую!

 

Сейчас работаю над новой версией JBZoo 2.4.0

 

На данный момент есть известные проблемы совместимости с новейшими версиями PHP и Joomla.

 

Предлагаю вашему внимаю ранний патч-хотфикс, который это излечивает.

 

Внимание! Для работы желателен PHP 7.1 + Ioncube v10+

В противном случае, не заменяйте файлы application.php и jbzoo.php

 

Что исправлено (наиболее критичное)

  • Пересобрано и проверено на Joomla 3.8.1, PHP 7.1
  • Отключено админское меню, т.к. изменилось API и оно нуждается в тщательном переваривании.
  • Исправлен баг отправки почты во время заказа.
  • Исправлены https ссылки на материал у картинок.
  • Некоторый SpeedUp кода.

Планируется добавить в данный патч на досуге

  • Поддержка ФЗ-54 для Я.Кассы, но судя по некоторым данным можно продавать без опасений до лета 2018.
  • Мелочи совместимости с Joomla 3.8
  • Фиксы в импорте категорий.
  • Совместимость админского меню.

 

Благодарочка тому, кто проверит патч на PHP 5.6

 

PS Не забываем о бекапах!

 

Спасибо!

Прикрепленные файлы


  • 7
JBZoo v4.0 и новый чудный мир Open Source GPL
Отключайте проверку лицензий как моно скорее!


— Есть два типа людей: Кто еще не делает бекапы и кто уже делает бекапы.


#2 B I Q U I T E R

B I Q U I T E R

Отправлено 23 October 2017 - 00:47

Пока полет нормальный. Прирост на  тестировании 20-25%

Остальное буду тестировать. Отпишусь.

 

Прикрепленные файлы

  • Прикрепленный файл  test.JPG   54.63К   1 Количество загрузок:

  • 4

#3 CB9TOIIIA

CB9TOIIIA

Отправлено 23 October 2017 - 04:43   Лучший Ответ

Патч для php5-php7

 

(в нем для страховки нес-ко файлов с прошлой версии, прозапас (т.к. если накатить патч этот - то можно сломать сайт (jbzoo.php и апликатион для php 7.1). А с этим патчем все восстановится :).

 

Прикрепленный файл  patch_php5_php7.zip   331.24К   133 Количество загрузок:

 

P.S. Коротко - работает  ;)


  • 4

#4 LeMax

LeMax

Отправлено 23 October 2017 - 09:11

Сделал дубль сайта, чтобы обновить до Joomla: 3.8.1 \ JBZoo: 2.4.0 beta1 \ Zoo: 3.3.26 \ PHP 7.0  (файлы application.php и jbzoo.php не обновлял)

Работает быстрее и хорошо, глюков нет, кроме модуля JBZoo Search - разные модули с разными настройками стали выдавать

 

 

Ошибка 0: Call to a member function getCategoryTree() on boolean

 

Хотя на основном сайте эти же самые модули работают и поиск ищет исправно.

В чем может быть проблема и как исправить или пока рано обновляться?

 

upd: еще немного потестил поиск и вот что получается:

 - если тип поля фильтра "Выпадающий список" (например, категории), то все фильтруется норм;
 - если тип этого же поля сменить на "Текстовой поле", то выходит ошибка;

 - также странное поведение фильтра - если скопировать ссылку на результаты поиска (т.е. они отфильтровались и нам видны) и вставить в новую вкладку браузера - то будет эта же самая ошибка.

upd2: дело в filter.php
и хотя странно, при обновлении этот файл не затрагивался и он стоит старый,

но я решил пройтись по файлам, отвечающим за фильтр и перезаписать из чистого архива JBZoo - и заработало!

Чтобы не захломлять топик - мой комент можно удалить. 


Сообщение отредактировал LeMax: 23 October 2017 - 20:07

  • 3

#5 CB9TOIIIA

CB9TOIIIA

Отправлено 23 October 2017 - 19:50

Ошибка 0: Call to a member function getCategoryTree() on boolean

 

У меня такое бывало, когда сессия в системе закончилась - а я хочу выполнить какое-то действие


  • 0

#6 Андрей Завалин

Андрей Завалин

Отправлено 25 October 2017 - 19:07

Новичек в JbZoo, хоть с Zoo давно работаю. :( Купил подписку, установил на 3.8.1 (php 7.0) и повалили ошибки, исправляя одну выскакивает другая...Плиз, подскажите тему где подробнее расписаны все косяки и методы борьбы


Сообщение отредактировал Андрей Завалин: 01 November 2017 - 17:04

  • -2

Злые вы, уйду я от вас  :P


#7 CB9TOIIIA

CB9TOIIIA

Отправлено 25 October 2017 - 19:29

Новичек в JbZoo, хоть с Zoo давно работаю. Хочется выругаться матом :( купил подписку, установил на 3.8.1 (php 7.0) и повалили ошибки, исправляя одну выскакивает другая...что за сырье? На какой версии Joomla работает расширение JBZOO? Плиз, подскажите тему где подробнее расписаны все косяки и методы борьбы

 

В чем проблема? с php 7.0 + ioncube все работает. С последним патчем можно php 7.1 + ioncube. Joomla вся третья линейка.


  • 0

#8 isay777

isay777

Отправлено 28 October 2017 - 21:30

Вопрос по 54фз. 

Будет ли поддержка https://ofd.ru/


  • 0
ХОСТИНГ для сайтов jbzoo (все попугаи)

#9 SmetDenis

SmetDenis

Отправлено 07 November 2017 - 21:21

Вопрос по 54фз. 

Будет ли поддержка https://ofd.ru/

 

Да, будет.


  • 3
JBZoo v4.0 и новый чудный мир Open Source GPL
Отключайте проверку лицензий как моно скорее!


— Есть два типа людей: Кто еще не делает бекапы и кто уже делает бекапы.


#10 shiftDELET

shiftDELET

Отправлено 08 November 2017 - 13:44

Joomla 8.2 уже тестировал кто нибудь? Патч подходит?


  • 0




Click to return to top of page in style!